%define	name	sparc32
%define	version	1.1
%define	release	6mdk

Summary:	A SPARC32 compilation environment.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-fhs.patch.bz2
Patch1:		%{name}-%{version}-include.patch.bz2
Patch2:		%{name}-%{version}-sparc32bash.patch.bz2
Patch3:		%{name}-%{version}-optflags.patch.bz2
ExclusiveOS:	Linux
ExclusiveArch:	sparc sparc64
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Sparc32 is a simple utility for compiling SPARC32 packages on SPARC64
machines. Sparc32 creates an environment for the specified program
(shell) and all child processes. In the created environment, uname -m
returns sparc, so one can create 32 bit SPARC programs.

Install sparc32 if you need to compile SPARC32 packages on a SPARC64.

%prep
%setup -q
%patch0 -p1 -b .fhs
%patch1 -p1 -b .include
%patch2 -p1 -b .sparc32bash
%patch3 -p0 -b .optflags

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root,755)
%{_bindir}/*
%defattr(644,root,root,755)
%{_mandir}/man8/*

%changelog
* Fri May 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.1-6mdk
- fix changelog while we're at it(I suck)

* Fri May 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.1-5mdk
- fix wrong permissions on binaries

* Fri May 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.1-4mdk
- s/Copyright/License/
- fix group
- add P0, P1 and P2 from aurora linux
- compile with $RPM_OPT_FLAGS (P3)
- minor fixes

* Fri May 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.1-3mdk
- cleanups

* Mon Jan 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1-2mdk
- added a %defattr.

* Wed Jan 12 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1-1mdk
- mandrake adaptation.

* Fri Sep 24 1999 Jakub Jelinek <jakub@redhat.com>
- add sparc64 command

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Nov  5 1998 Jeff Johnson <jbj@redhat.com>
- import from ultrapenguin 1.1.

* Thu Oct 29 1998 Jakub Jelinek <jj@ultra.linux.cz>
- new package
